# Uses of Class
org.xnio.ChannelListener.SimpleSetter

Packages that use ChannelListener.SimpleSetter
Package
Description
org.xnio
The main API package for XNIO.

## Uses of ChannelListener.SimpleSetter in org.xnio

Methods in org.xnio with parameters of type ChannelListener.SimpleSetter
Modifier and Type
Method
Description
`static <C extends Channel, T extends Channel>
ChannelListener<C>`
ChannelListeners.`delegatingChannelListener(T channel, ChannelListener.SimpleSetter<T> setter)`
A delegating channel listener which passes an event to the listener stored in the given setter.
`static <T extends Channel>
Runnable`
ChannelListeners.`getChannelListenerTask(T channel, ChannelListener.SimpleSetter<T> setter)`
Get a task which invokes the given channel listener on the given channel via its setter.